Quantcast

Jump to content

» «
Photo

Which patch do I need for modding GTA IV?

6 replies to this topic
maurice96
  • maurice96

    _Caspboy_

  • Members
  • Joined: 08 Apr 2014
  • United-States

#1

Posted 28 June 2014 - 09:58 AM Edited by maurice96, 28 June 2014 - 09:58 AM.

Okay, so I had gta iv on my pc for quite t=some time, and finally I've got the courage to mod it. Currently, I'm at a halt. The current patch I have installed is 1.0.3.0 + crack. I've seen alot of mods require different ones, so which is most used or recommended - and how do I install it?

 

p.s - my pc is low-mid range


kaow
  • kaow

    Player Hater

  • Members
  • Joined: 25 Jun 2014
  • Lithuania

#2

Posted 28 June 2014 - 10:33 AM

Okay, so I had gta iv on my pc for quite t=some time, and finally I've got the courage to mod it. Currently, I'm at a halt. The current patch I have installed is 1.0.3.0 + crack. I've seen alot of mods require different ones, so which is most used or recommended - and how do I install it?

 

p.s - my pc is low-mid range

1.0.4.0 or 1.0.7.0.

1.0.4.0 is recommended. How to install it? Well.. just like you did 1.0.3.0? I don't support pirating, I have steam version myself and you should too, but obviously if not you'll need a crack for the patch.


maurice96
  • maurice96

    _Caspboy_

  • Members
  • Joined: 08 Apr 2014
  • United-States

#3

Posted 28 June 2014 - 11:57 AM

 

Okay, so I had gta iv on my pc for quite t=some time, and finally I've got the courage to mod it. Currently, I'm at a halt. The current patch I have installed is 1.0.3.0 + crack. I've seen alot of mods require different ones, so which is most used or recommended - and how do I install it?

 

p.s - my pc is low-mid range

1.0.4.0 or 1.0.7.0.

1.0.4.0 is recommended. How to install it? Well.. just like you did 1.0.3.0? I don't support pirating, I have steam version myself and you should too, but obviously if not you'll need a crack for the patch.

 

I didnt pirate, i thought the crack was required like in gta sa :blink: Well, thanks!


kaow
  • kaow

    Player Hater

  • Members
  • Joined: 25 Jun 2014
  • Lithuania

#4

Posted 28 June 2014 - 02:31 PM Edited by kaow, 28 June 2014 - 02:54 PM.

 

 

Okay, so I had gta iv on my pc for quite t=some time, and finally I've got the courage to mod it. Currently, I'm at a halt. The current patch I have installed is 1.0.3.0 + crack. I've seen alot of mods require different ones, so which is most used or recommended - and how do I install it?

 

p.s - my pc is low-mid range

1.0.4.0 or 1.0.7.0.

1.0.4.0 is recommended. How to install it? Well.. just like you did 1.0.3.0? I don't support pirating, I have steam version myself and you should too, but obviously if not you'll need a crack for the patch.

 

I didnt pirate, i thought the crack was required like in gta sa :blink: Well, thanks!

 

Oh I completely forgot, sorry..In that case  you must downgrade, google 'steam downgrade 1.0.4.0' and do as the guide says. it might sound a little complicated so I did it in other way, but it should work for you. Though you might be able to use crack with steam version.. but I'm not sure if that would work.

  • maurice96 likes this

josh2000
  • josh2000

    Player Hater

  • Members
  • Joined: 06 Jan 2012

#5

Posted 11 July 2014 - 05:15 PM

(piggybacking your thread as not to clutter the forum)

 

What patch for EFLC are we using now?  and what base plugins are needed, i.e. ASI loader, scripthook?  I did a lot of searching but all I could find was outdated info and dead links, I couldn't even get a trainer to work on the latest patch. 

 

any help is much appreciated


PacketOVerload_x64Bit
  • PacketOVerload_x64Bit

    ENB Puritan

  • Members
  • Joined: 13 Mar 2010
  • Canada

#6

Posted 11 July 2014 - 11:37 PM Edited by PacketOVerload_x64Bit, 11 July 2014 - 11:38 PM.

EDIT#1: Oh, you're running EFLC. These files probably won't help you then. Sorry mate.

 

Many of the things you need can be found by going to this thread:
 

http://gtaforums.com...artwork-thread/

ENB%20SCREENSHOT%20THREAD%20NIKO%20GUN%2

 

 

These are the files I use for 1020/1030/1040/1004. Make sure you backup your GTA Program Files folder (make a copy to somewhere) before you use. Look at the files inside. The filelist.pak, files.txt and filelist.txt files overwrite GTA Program File files. Just incase. But this has worked for me where everything else didn't.

http://www.mediafire...From_Packet.rar


Nikopol89
  • Nikopol89

    Player Hater

  • Members
  • Joined: 17 May 2014
  • Italy

#7

Posted 27 July 2014 - 11:38 PM

It depends on your needs:

1.0.4.0 is considered the best patch for graphic enhancements (ENB) but lacks of multiplayer

1.0.7.0 has working multiplayer but less mods' compatibility (many mods aren't updated)

 

It's not a bad idea to have both choices (two GTA main folders) plus a backup one of the original installation =)

 

The great LCPDFR mod, for example, works on 1.0.7.0 only

 

If you're using steamversion, here's a simple guide to downgrade

[HowTo]Downgrade of the steamversion of GTAIV to 1.0.4.0 - GTAGaming Forums

Patch links provided in the guide didn't work for me (installer link dead - rar link not worked), so here's a working link:

http://download.gta-...sione-1040.html

 

Have fun =)





1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users